# vim: set ft=spec: -*- rpm-spec -*-
# $Id$

Name: irda-usb
Version: 0.2
Release: alt1

Summary: IrDA/USB support for hotplug
Group: System/Configuration/Hardware
License: Public domain

BuildArch: noarch

PreReq: hotplug irda-utils

%description
IrDA/USB support for hotplug

%install
%__mkdir_p %buildroot%_sysconfdir/hotplug/usb

%__cat <<EOF >%buildroot%_sysconfdir/hotplug/usb/usbirda
#!/bin/sh

case "\$ACTION" in
	add)
		service irda start
		if [ -n "\$REMOVER" ]; then
			rmscript=\$(mktemp "\${REMOVER}.XXXXXXXXXX")
			cat <<__EOF > "\$rmscript"
#!/bin/sh
service irda stop				
__EOF
			chmod 700 "\$rmscript"
			mv -f "\$rmscript" "\$REMOVER"
		fi
		;;
	*)
		;;
esac
EOF

%__cat <<EOF >%buildroot%_sysconfdir/hotplug/usb/usbirda.usermap
# SigmaTel STIr4200 IRDA/USB (http://csd.informatik.uni-oldenburg.de/~eagle/stir4200.html)
usbirda 0x0003 0x066f 0x4200 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
# Unknown IRDA/UDB (reported by shrek@)
usbirda 0x0003 0x0df8 0x0001 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
# KC-180 IrDA Dongle (hwdatabase)
usbirda 0x0003 0x050f 0x0180 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
# XTNDAccess IrDA Dongle (hwdatabase)
usbirda 0x0003 0x08e9 0x0100 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
# ACT-IR2000U IrDA Dongle (hwdatabase)
usbirda 0x0003 0x09c4 0x0011 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
# MA-620 USB Infrared Adapter (hwdatabase)
usbirda 0x0003 0x0df7 0x0620 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
EOF

%files
%attr(755,root,root) %config %_sysconfdir/hotplug/usb/usbirda
%attr(644,root,root) %config(noreplace) %_sysconfdir/hotplug/usb/usbirda.usermap

%changelog
* Fri May 13 2005 Sir Raorn <raorn@altlinux.ru> 0.2-alt1
- Use REMOVER script for stopping irattach

* Tue May 10 2005 Sir Raorn <raorn@altlinux.ru> 0.1-alt1
- Initial release (based on jabber discussion with shrek@)

